<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">SEJARAH PENCAIRAN</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-9 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListFee()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <div class="col-sm-3">
            <button *ngIf="dataUser.role === 'HRD'" class="pull-right btn btn-success" data-toggle="modal" (click)="addModal.show()">
            <i class="icon-plus"></i> Tambah Pengajuan</button>
            </div>
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Mulai</label>
                  <input class="form-control" (keyup.enter)="doGetListFee()" id="tanggalMulai" type="text"  placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalMulai">
                </div>
                <div class="col-sm-3">
                <label class="col-form-label">Tanggal Akhir</label>
                  <input class="form-control" (keyup.enter)="doGetListFee()" id="tanggalAkhir" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalAkhir">
                </div>
                <div class="col-sm-3">
                <label *ngIf="dataUser.role!=='HRD'" class="col-form-label">Perusahaan </label>
                  <app-company-select *ngIf="dataUser.role!=='HRD'" [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>
                </div>
                <div [ngClass]="{'col-sm-2': dataUser.role === 'HRD', 'col-sm-3': dataUser.role === 'ADM' || dataUser.role === 'PENGAWAS'}">
                  <label class="col-form-label">Pencarian </label>
                  <input id="appendedInputButton" (keyup.enter)="doGetListFee()" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">
                  <!--<div class="controls">-->
                    <!--<div class="input-group">-->
                      <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian...">-->
                      <!--<span class="input-group-append">-->
                    <!--<button class="btn btn-success" type="button" (click)="doGetListFee()"><i class="fa fa-search"></i> Cari </button>-->
                  <!--</span>-->
                    <!--</div>-->
                  <!--</div>-->
                </div>
                <div class="col-sm-1 pl-0 pr-0" style="margin-top: 34px">
                  <button class="btn btn-success"  (click)="doGetListFee()"><i class="fa fa-search"></i> Cari</button>
                </div>
              </div>
            </div>
          </div>
          <!--<div *ngIf="listSimpanan | filter: filterText as list">-->
          <table class="table table-bordered table-striped table-sm table-responsive">
            <thead>
            <tr class="font-xs">
              <th class="text-center align-middle" style="width: 1%">#</th>
              <!--<th class="text-center">ID Ajuan</th>-->
              <th class="text-center align-middle" style="width: 10%" (click)="sort('tanggalSimpanan')">Tanggal Pencairan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalSimpanan',
                                    'fa-sort-asc': (column == 'tanggalSimpanan' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalSimpanan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('nama')">Nominal Pencairan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nama',
                                    'fa-sort-asc': (column == 'nama' && isDesc),
                                    'fa-sort-desc': (column == 'nama' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('nama')">Nama Pemohon
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nama',
                                    'fa-sort-asc': (column == 'nama' && isDesc),
                                    'fa-sort-desc': (column == 'nama' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 15%" (click)="sort('namaSimpanan')">Tujuan Transfer
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaSimpanan',
                                    'fa-sort-asc': (column == 'namaSimpanan' && isDesc),
                                    'fa-sort-desc': (column == 'namaSimpanan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 7%">Aksi</th>
            </tr>
            </thead>
            <tbody *ngIf="!listFee || listFee.length===0">
            <tr>
              <td colspan="6" class="text-center">Tidak Ada Data</td>
            </tr>
            </tbody>
            <tbody>
            <tr class="text-center font-xs" *ngFor="let data of listFee | orderBy: {property: column, direction: direction}; let i=index;">
              <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
              <!--<td>{{data.kodePengajuan}}</td>-->
              <td>{{data.tanggalSimpanan | date: 'dd MMM yyyy'}}</td>
              <td><a href="javascript:void;" title="List Pinjaman Anggota" (click)="gotoList(data.nomorNik, data.nama)"><div>{{ data.nomorNik }}</div></a>{{data.nama}}</td>
              <td>{{ data.namaSimpanan }}
                <span *ngIf="data.bulan || data.tahun"> - {{data.bulan}} {{data.tahun}}</span>
              </td>
              <td>{{ data.nominalSimpanan | number}}</td>
              <td>{{ data.mediaIuran }}</td>
              <td>{{ data.keterangan }}</td>
              <td>
                <button class="btn btn-success btn-sm" (click)="addModal.show(); setSelectedFee(data)"><i class="fa fa-edit"></i> Ubah</button>
                <button class="btn btn-danger btn-sm ml-1" (click)="confirmModal.show(); setSelectedFee(data)"><i class="fa fa-times"></i> Hapus</button>
              </td>
            </tr>
            </tbody>
          </table>
          <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
          <div class="pull-right mt-auto">
            <pagination *ngIf="listFee.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                        [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
            </pagination>
          </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #addModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document" style="width: 80%;">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Tambah Pengajuan</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-10">
              <!--<div class="col-sm-12">-->
                <!--<label class="col-form-label">TanggalTransaksi</label>-->
                <!--<input type="text" id="fromDate" class="form-control" aria-describedby="tanggalTransaksi"-->
                       <!--#dp="bsDatepicker" [bsConfig]="dpConfig" bsDatepicker [(bsValue)]="tanggalTransaksi" value="{{ tanggalTransaksi | date:'dd MMM yyyy' }}">-->
              <!--</div>-->
              <div class="col-sm-12">
                <label class="col-form-label">Nama Pemohon</label>
                <div class="input-group">
                  <input type="text" class="form-control" placeholder="Nama Pemohon" formControlName="namaPemohon">
                </div>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Nominal Pencairan</label>
                <div class="input-group">
                  <input type="text" class="form-control" appOnlyNumber="{{formBuilder.controls.nominal.value}}"
                         placeholder="Nominal" formControlName="nominal">
                </div>
              </div>
              <div class="col-sm-12">
                <label class="col-form-label">Tujuan Transfer</label>
                <textarea rows="2" id="keterangan" class="form-control" formControlName="tujuan" placeholder="Ex: Mandiri 12400001234567 a.n Esa Garda Pratama"></textarea>
              </div>
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="addModal.hide()">Close</button>
        <button type="button" class="btn btn-success" (click)="addModal.hide(); submit()">
          <i class="fa fa-save"></i> Submit</button>
      </div>
    </div>
  </div>
</div>


<div bsModal #confirmModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi {{modalTitle}} Pengajuan</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <h4>Apakah Anda yakin ingin {{modalTitle}} pengajuan ini?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmModal.hide()">Tidak</button>
        <button type="button" class="btn btn-success" (click)="confirmModal.hide(); submit()">
          <i class="fa fa-save"></i> Ya</button>
      </div>
    </div>
  </div>
</div>
